summaryrefslogtreecommitdiffstats
path: root/test/TEST-52-HONORFIRSTSHUTDOWN/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-52-HONORFIRSTSHUTDOWN/test.sh')
-rwxr-xr-xtest/TEST-52-HONORFIRSTSHUTDOWN/test.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/TEST-52-HONORFIRSTSHUTDOWN/test.sh b/test/TEST-52-HONORFIRSTSHUTDOWN/test.sh
new file mode 100755
index 0000000..6a1ec9c
--- /dev/null
+++ b/test/TEST-52-HONORFIRSTSHUTDOWN/test.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_REQUIRE_INSTALL_TESTS=0
+TEST_DESCRIPTION="testing honor first shutdown"
+TEST_NO_QEMU=1
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+# Using timeout because if the test fails it can loop.
+# The reason is because the poweroff executed by end.service
+# could turn into a reboot if the test fails.
+NSPAWN_TIMEOUT=60
+
+check_result_nspawn_hook() {
+ local workspace="${1:?}"
+
+ "${JOURNALCTL:?}" -D "${workspace:?}/var/log/journal" --grep "Shutdown is already active. Skipping emergency action request" --no-pager
+}
+
+do_test "$@"